Registered
GET calls
- Use query parameters to filter the results.
- Calls that return a list send it one page at a time. Use pageNumber and pageSize to choose a page. For details, see pagination
Endpoint: /webhooks/v1/registrations
Returns a list of all webhook registrations by event delivery or by polling the system.
GET
https://sandbox.crbcos.com/webhooks/v1/registrations
Query Parameters
- partnerIdstringrequiredDescription
- eventNamestringDescription
- callbackUrlstringrequiredDescription
- pageNumberintegerDescription
- pageSizeintegerDescription
Response
- resultsobjectDescription
- idstringDescription
- partnerIdstringDescription
- eventNamestringDescription
- callbackUrlstringDescription
- authUsernamestringDescription
- authPasswordstringDescription
- consecutiveErrorsintegerDescription
- lastErrorstringDescription
- statusstringDescription
- typestringDescription
- formatstringDescription
- pageNumberintegerDescription
- pageSizeintegerDescription
- hasPreviousPagebooleanDescription
- hasNextPagebooleanDescription
curl
curl \
--location 'https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https%3A%2F%2Fwebhook.site%2F27b9814b-16eb-4099-9999-32594aee5e04' \
--header 'Authorization: Bearer <token>'nodejs
var https = require('follow-redirects').https;
var fs = require('fs');
var options = {
'method': 'GET',
'hostname': 'sandbox.crbcos.com',
'path': '/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04',
'headers': {
'Authorization': 'Bearer <token>'
},
'maxRedirects': 20
};
var req = https.request(options, function (res) {
var chunks = [];
res.on("data", function (chunk) {
chunks.push(chunk);
});
res.on("end", function (chunk) {
var body = Buffer.concat(chunks);
console.log(body.toString());
});
res.on("error", function (error) {
console.error(error);
});
});
req.end();python
import requests
url = "https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04"
payload = {}
headers = {
'Authorization': 'Bearer <token>'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
ruby
require "uri"
require "net/http"
url = URI("https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer <token>"
response = https.request(request)
puts response.read_body
go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.crbcos.com/webhooks/v1/registrations?partnerId=19222b81-0e1e-452d-a842-b2f1011c16f3&CallbackUrl=https%3A%2F%2Fwebhook.site%2F27b9814b-16eb-4099-9999-32594aee5e04"
method := "GET"
client := &http.Client {
}
req, err := http.NewRequest(method, url, nil)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "Bearer <token>")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := io.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}200
{
"results": [
{
"id": "d0dc5a57-ce2a-40d8-b7c4-b306003dd243",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"eventName": "ACH.Batch.Imported",
"callbackUrl": "https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04",
"consecutiveErrors": 0,
"status": "Active",
"type": "Push",
"format": "Basic"
},
{
"id": "8be90643-86a5-4be4-9520-b30500f8d961",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"eventName": "Cards.Card.Created",
"callbackUrl": "https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04",
"consecutiveErrors": 0,
"status": "Active",
"type": "Push",
"format": "Extended"
},
{
"id": "3a1d97dc-03a8-4858-851a-b306003f9357",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"eventName": "Core.Customer.Name.Changed",
"callbackUrl": "https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04",
"consecutiveErrors": 0,
"status": "Active",
"type": "Push",
"format": "Extended"
},
{
"id": "c65b55f1-bbe5-4dc3-b952-b30500f3570a",
"partnerId": "19222b81-0e1e-452d-a842-b2f1011c16f3",
"eventName": "Core.Customer.Onboarded",
"callbackUrl": "https://webhook.site/27b9814b-16eb-4099-9999-32594aee5e04",
"consecutiveErrors": 0,
"status": "Active",
"type": "Push",
"format": "Extended"
}
],
"pageNumber": 1,
"pageSize": 4,
"hasPreviousPage": false,
"hasNextPage": false
}